import request from '@/utils/request'

// 查询cps_file_review_info预览文件列表
export function listFileInfo(query) {
  return request({
    url: '/cp/fileInfo/list',
    method: 'get',
    params: query
  })
}

// 查询cps_file_review_info预览文件详细
export function getFileInfo(id) {
  return request({
    url: '/cp/fileInfo/' + id,
    method: 'get'
  })
}

// 新增cps_file_review_info预览文件
export function addFileInfo(data) {
  return request({
    url: '/cp/fileInfo',
    method: 'post',
    data: data
  })
}

// 修改cps_file_review_info预览文件
export function updateFileInfo(data) {
  return request({
    url: '/cp/fileInfo',
    method: 'put',
    data: data
  })
}

// 删除cps_file_review_info预览文件
export function delFileInfo(id) {
  return request({
    url: '/cp/fileInfo/' + id,
    method: 'delete'
  })
}
